After a most recent dist-upgrade of karmic, syncdaemon is constantly crashing/erroring

Bug #419533 reported by Philip Fibiger on 2009-08-26
160
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
Critical
Ken VanDine
Karmic
Critical
Ken VanDine

Bug Description

syncdaemon keeps crashing and the applet contiually tries to restart it, leading to dozens of error notifications. Most of my syncdaemon log files say "warning, another instance is running" but then sometimes it's also:

2009-08-26 18:11:10,692 - ubuntuone.SyncDaemon - ERROR - Unexpected error
Traceback (most recent call last):
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 192, in <module>
    main(sys.argv)
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 145, in main
    shares_symlink_name='Shared With Me')
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/main.py", line 96, in __init__
    self.vm = volume_manager.VolumeManager(self)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/volume_manager.py", line 139, in __init__
    os.symlink(self.m.shares_dir, self.m.shares_dir_link)
OSError: [Errno 17] File exists

Related branches

Martin Albisetti (beuno) wrote :

So, with the latest and greatest, it is now spawning up syncdaemon processes which crash infinitively, until the computer becomes unresponsive and dies a horrible death.
The current workaround is to kill the applet before it kills you.

Changed in ubuntuone-client:
importance: High → Critical
Eric Casteleijn (thisfred) wrote :

I reported this behavior earlier in this bug:

https://bugs.edge.launchpad.net/ubuntu/+source/ubuntuone-client/+bug/405688

Although I'm not marking it as a duplicate, since I don't know that the same underlying crash is triggering the endless respawning for everyone.

Eric Casteleijn (thisfred) wrote :

And in fact it isn't, from reading the traceback above. So we have at least 3 bugs: the two different underlying crashes in syncdaemon, and the behavior that syncdaemon is endlessly respawned even when it is destined to fail.

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: ubuntuone-client 0.93.0-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-7.27-generic-pae
Uname: Linux 2.6.31-7-generic-pae i686
UserGroups: adm admin cdrom couchdb dialout libvirtd lpadmin plugdev sambashare

Changed in ubuntuone-client:
assignee: Rodney Dawes (dobey) → Guillermo Gonzalez (verterok)
Elliot Murphy (statik) wrote :
Elliot Murphy (statik) wrote :
tags: added: apport-collected
Elliot Murphy (statik) wrote :

^Cemurphy@detox:~$ /usr/lib/ubuntuone-client/ubuntuone-syncdaemon --debug
2009-08-27 08:28:09,290 - ubuntuone.SyncDaemon.VM - DEBUG - upgrading from metadata 3 (new layout)
2009-08-27 08:28:09,620 - ubuntuone.SyncDaemon - ERROR - Unexpected error
Traceback (most recent call last):
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 192, in <module>
    main(sys.argv)
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 145, in main
    shares_symlink_name='Shared With Me')
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/main.py", line 96, in __init__
    self.vm = volume_manager.VolumeManager(self)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/volume_manager.py", line 125, in __init__
    upgrade_method(md_version)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/volume_manager.py", line 558, in _upgrade_metadata_3
    share.path = share.path.replace(old_root_dir, self.m.root_dir)
AttributeError: 'NoneType' object has no attribute 'replace'
Traceback (most recent call last):
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 192, in <module>
    main(sys.argv)
  File "/usr/lib/ubuntuone-client/ubuntuone-syncdaemon", line 145, in main
    shares_symlink_name='Shared With Me')
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/main.py", line 96, in __init__
    self.vm = volume_manager.VolumeManager(self)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/volume_manager.py", line 125, in __init__
    upgrade_method(md_version)
  File "/usr/lib/python2.6/dist-packages/ubuntuone/syncdaemon/volume_manager.py", line 558, in _upgrade_metadata_3
    share.path = share.path.replace(old_root_dir, self.m.root_dir)
AttributeError: 'NoneType' object has no attribute 'replace'

Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Ken VanDine (ken-vandine)
Elliot Murphy (statik) wrote :

We're just about finished testing the fix now.

Steve Langasek (vorlon) on 2009-08-27
Changed in ubuntuone-client (Ubuntu Karmic):
milestone: none → karmic-alpha-5
dobey (dobey) on 2009-08-27
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Changed in ubuntuone-client (Ubuntu Karmic):
status: Triaged → Fix Committed
Rick McBride (rmcbride) wrote :

Integration testing has been run on 0.93.1. bug #420185 (Update to 0.93.1) is marked Confirmed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 0.93.1-0ubuntu1

---------------
ubuntuone-client (0.93.1-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Fix AttributeError in __hide_icon (LP: #419488)
    - Fix OSError crash in syncdaemon (LP: #419533)
    - Fix OSError in _upgrade_metadata_2 (LP: #405688)

ubuntuone-client (0.93.0-0ubuntu1) karmic; urgency=low

  * New upstream release.
    - Fix crash with KeyError in __getitem__ (LP: #404934)
    - Fix fatal error constant occurrances (LP: #414635)
    - Fix ability to reauthorize (LP: #406897)
    - Get rid of animated icon, and false activity status (LP: #414925)
  * Update Standards-Version to 3.8.3

 -- Rodney Dawes <email address hidden> Thu, 26 Aug 2009 17:15:00 -0400

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers